- include_role:
    name: gerrit
    tasks_from: wait.yaml
  vars:
    check_only: True
    in_namespace: "{{ gerrit_namespace | default(namespace) }}"
    obj_selectors: "{{ gerrit_selectors | default([ 'opsperator.io/' ~ cr_kind ~ '=' ~ cr_name ]) }}"
- include_role:
    name: gitea
    tasks_from: wait.yaml
  vars:
    check_only: True
    in_namespace: "{{ gitea_namespace | default(namespace) }}"
    obj_selectors: "{{ gitea_selectors | default([ 'opsperator.io/' ~ cr_kind ~ '=' ~ cr_name ]) }}"
- include_role:
    name: gogs
    tasks_from: wait.yaml
  vars:
    check_only: True
    in_namespace: "{{ gogs_namespace | default(namespace) }}"
    obj_selectors: "{{ gogs_selectors | default([ 'opsperator.io/' ~ cr_kind ~ '=' ~ cr_name ]) }}"
- include_role:
    name: clair
    tasks_from: wait.yaml
  vars:
    check_only: True
    in_namespace: "{{ clair_namespace | default(namespace) }}"
    obj_selectors: "{{ clair_selectors | default([ 'opsperator.io/' ~ cr_kind ~ '=' ~ cr_name ]) }}"
- include_role:
    name: nexus
    tasks_from: wait.yaml
  vars:
    check_only: True
    in_namespace: "{{ nexus_namespace | default(namespace) }}"
    obj_selectors: "{{ nexus_selectors | default([ 'opsperator.io/' ~ cr_kind ~ '=' ~ cr_name ]) }}"
- include_role:
    name: postfix
    tasks_from: wait.yaml
  vars:
    check_only: True
    in_namespace: "{{ postfix_namespace | default(namespace) }}"
    obj_selectors: "{{ postfix_selectors | default([ 'opsperator.io/' ~ cr_kind ~ '=' ~ cr_name ]) }}"
  when:
  - smtp_relay is not defined
- include_role:
    name: sonarqube
    tasks_from: wait.yaml
  vars:
    check_only: True
    in_namespace: "{{ sonarqube_namespace | default(namespace) }}"
    obj_selectors: "{{ sonarqube_selectors | default([ 'opsperator.io/' ~ cr_kind ~ '=' ~ cr_name ]) }}"
- include_role:
    name: squid
    tasks_from: wait.yaml
  vars:
    check_only: True
    in_namespace: "{{ squid_namespace | default(namespace) }}"
    obj_selectors: "{{ squid_selectors | default([ 'opsperator.io/' ~ cr_kind ~ '=' ~ cr_name ]) }}"
- include_role:
    name: trivy
    tasks_from: wait.yaml
  vars:
    check_only: True
    in_namespace: "{{ trivy_namespace | default(namespace) }}"
    obj_selectors: "{{ trivy_selectors | default([ 'opsperator.io/' ~ cr_kind ~ '=' ~ cr_name ]) }}"
- include_role:
    name: nexus
    tasks_from: secret-dup.yaml
  when:
  - nexus_artifacts_secret | default(False)
  - nexus_namespace != namespace
- block:
  - include_role:
      name: sonarqube
      tasks_from: secret-dup.yaml
    when:
    - sonarqube_namespace != namespace
  - name: Lookups SonarQube Scanner Secret
    async: 30
    changed_when: False
    failed_when: False
    k8s_info:
      api_version: v1
      kind: Secret
      namespace: "{{ namespace }}"
      name: "{{ sonarqube_scanner_secret }}"
    no_log: True
    poll: 5
    register: sonarqube_scanner
  when:
  - sonarqube_scanner_secret | default(False)
- include_role:
    name: commons
    tasks_from: ssl/ca-init.yaml
  when:
  - k8s_flavor == 'kubernetes'
- include_role:
    name: commons
    tasks_from: helpers/imagestream.yaml
  vars:
    is_import:
    - source: "{{ jenkins_image_source }}"
      tag: "{{ jenkins_tag }}"
    is_name: jenkins
    namespace: "{{ buildns }}"
  when:
  - k8s_flavor == 'openshift'
